Uploaded image for project: 'OpenAM'
  1. OpenAM
  2. OPENAM-13578

KBA are not updatable after upgrade

    Details

    • Sprint:
      AM Sustaining Sprint 55
    • Story Points:
      5
    • Needs backport:
      Yes
    • Verified Version/s:
    • Needs QA verification:
      Yes
    • Functional tests:
      No
    • Are the reproduction steps defined?:
      Yes and I used the same an in the description

      Description

      Bug description

      User can't change his answers to security questions after AM upgrade from 5.5.1 to 5.5.2. It is automatically tested by com.forgerock.openam.functionaltest.restcommon.user.selfservice.TestUssKbas.Setting KBAs for a user when the realm user sets their KBA answers when the update succeeds when the update is done using REST "beforeEach" hook

      How to reproduce the issue

      1. install AM 5.5.1
      2. upgrade to AM 5.5.2
      3. add self service
      4. enable forgotten password and security questions
      5. login as demo user
      6. try to add security question
      Expected behaviour
      question is added
      Current behaviour
      There is error, see screen. See debug

       

        Attachments

        1. debug-1.zip
          13 kB
        2. screen.png
          screen.png
          81 kB

          Activity

            People

            • Assignee:
              adam.heath Adam Heath
              Reporter:
              lubomir.mlich Ľubomír Mlích
              QA Assignee:
              Filip Kubáň [X] (Inactive)
            • Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: